## org.eclipse.jst.jsf.designtime.el
Class AbstractDTMethodResolver

    java.lang.Object
      org.eclipse.jst.jsf.designtime.el.AbstractDTMethodResolver

Direct Known Subclasses:
  DefaultDTMethodResolver

    public abstract class AbstractDTMethodResolver

extends java.lang.Object

Sub-class of all design time method resolvers

Constructor Summary
`AbstractDTMethodResolver()`

Method Summary
`abstract IMethodSymbol` `getMethod(IObjectSymbol base, java.lang.Object methodId)` Returns a symbol encapsulating the method on base with the name methodId
`abstract ISymbol[]` `getMethods(IObjectSymbol base)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDTMethodResolver

    public AbstractDTMethodResolver()

Method Detail

### getMethod

    public abstract IMethodSymbol getMethod(IObjectSymbol base,
                                            java.lang.Object methodId)

  Returns a symbol encapsulating the method on base with the name methodId

  Parameters:
    `base` -
    `methodId` -
  Returns:
    the symbol for the named methodId or null if not found

### getMethods

    public abstract ISymbol[] getMethods(IObjectSymbol base)

  Parameters:
    `base` -
  Returns:
    all method binding symbols for base